> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://documentation.sayari.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server.

# Get Projects

GET https://api.sayari.com/v1/projects

Retrieve a list of projects including upload progress info.

Reference: https://documentation.sayari.com/api/api-reference/project/get-projects

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sayari.com` (Production, default)
- `https://api.internal.sayari.com` (Dev)
- `https://api.uk.sayari.com` (Production_UK)

## Request

### Query parameters

- `next` (string, optional) — The pagination token for the next page of projects.
- `prev` (string, optional) — The pagination token for the previous page of projects.
- `limit` (integer, optional) — Limit total values returned for projects. Defaults to 100. Max 100.
- `archived` (boolean, optional) — Toggle between projects that have been archived (true) or not (false). Defaults to false.
- `type` (enum, optional) — Which project types to return
  - Allowed values: `network`, `supply_chain`

## Response

### 200

- `limit` (integer, required)
- `data` (list of ProjectWithMembers, required)
- `next` (string, optional)
- `prev` (string, optional)
- `first` (boolean, optional)
- `last` (boolean, optional)

## Errors

### 400 Bad Request

- `any`

### 401 Unauthorized

- `any`

### 404 Not Found

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 405 Method Not Allowed

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 429 Rate Limit Exceeded

- `any`

### 500 Internal Server Error

- `any`

## Types

### ProjectWithMembers

- `archived` (boolean, required) — Whether the project is archived. Archival is a soft delete.
- `counts` (ProjectCounts, required)
- `created` (string, required)
- `id` (string, required) — Unique project identifier.
- `label` (string, required) — Most recently set name for the project.
- `members` (list of RoleMember, required)
- `type` (enum, required)
  - Allowed values: `network`, `supply_chain`
- `updated` (string, required)
- `upload_count` (integer, required) — Number of uploads associated with the project.
- `is_scrm` (boolean, optional) — **Deprecated.** Use `type == 'supply_chain'` instead.

### ProjectCounts

- `entity` (integer, optional) — The number of entities in the project.
- `graph` (integer, optional)
- `search` (integer, optional)
- `record` (integer, optional)

### RoleMember

- `id` (string, required)
- `type` (enum, required) — Role member type enum describes how access is granted to a project and its contents
  - Allowed values: `user`, `group`
- `role` (enum, required) — Role enum describes the access levels a user has to a project and its contents.
  - Allowed values: `viewer`, `editor`, `admin`
- `created` (string, required)
- `updated` (string, required)

## Examples

### Example 1

**Response**

```json
{
  "limit": 8,
  "data": [
    {
      "archived": false,
      "counts": {},
      "created": "2023-10-25 14:44:06.322117+00",
      "id": "V03MNY",
      "label": "Project 1",
      "members": [
        {
          "id": "auth0|7a8f3e2b91d476c5b2e04a87",
          "type": "user",
          "role": "admin",
          "created": "2023-10-25T14:44:06.322117+00:00",
          "updated": "2023-10-25T14:44:06.322117+00:00"
        }
      ],
      "type": "network",
      "updated": "2023-10-25 14:44:06.322117+00",
      "upload_count": 1
    },
    {
      "archived": false,
      "counts": {
        "entity": 2530,
        "graph": 1
      },
      "created": "2023-10-24 20:41:21.235451+00",
      "id": "eYDDmY",
      "label": "Project 2",
      "members": [
        {
          "id": "auth0|f0bc63a9e72d18ef4c5702d6",
          "type": "user",
          "role": "admin",
          "created": "2023-10-24T20:41:21.235451+00:00",
          "updated": "2023-10-24T20:41:21.235451+00:00"
        },
        {
          "id": "org_VdFgkL2qNpweRZAs",
          "type": "group",
          "role": "viewer",
          "created": "2023-11-04T18:40:30.942863+00:00",
          "updated": "2023-11-04T18:40:30.942863+00:00"
        }
      ],
      "type": "network",
      "updated": "2023-10-24 20:41:21.235451+00",
      "upload_count": 1
    }
  ],
  "next": "MjAyMy0wOS0xNSAxODoyNDozOC45ODEwMjMrMDB8OFlWQjZZ",
  "prev": "MjAyMy0xMC0yNSAxNDo0NDowNi4zMjIxMTcrMDB8VjAzTU5Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/projects"

querystring = {"archived":"false","limit":"8"}

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```typescript
import { SayariClient } from "sayari";

const sayari = new SayariClient({ clientId: "YOUR_CLIENT_ID", clientSecret: "YOUR_CLIENT_SECRET" });
await sayari.project.getProjects({
    archived: false,
    limit: 8
});

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/projects?archived=false&limit=8"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/projects?archived=false&limit=8")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sayari.com/v1/projects?archived=false&limit=8")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sayari.com/v1/projects?archived=false&limit=8', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/projects?archived=false&limit=8");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects?archived=false&limit=8")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Response**

```json
{
  "limit": 5,
  "data": [
    {
      "archived": true,
      "counts": {
        "entity": 10
      },
      "created": "2023-06-18 04:28:05.136302+00",
      "id": "e0Kj4G",
      "label": "Old Project 3",
      "members": [
        {
          "id": "auth0|6f57ab9facce276d4923e625",
          "type": "user",
          "role": "viewer",
          "created": "2023-06-20T18:43:43.925805+00:00",
          "updated": "2023-06-20T18:43:43.925805+00:00"
        },
        {
          "id": "google-oauth2|428967532187509612834",
          "type": "user",
          "role": "admin",
          "created": "2023-06-18T04:28:05.136302+00:00",
          "updated": "2023-06-18T04:28:05.136302+00:00"
        }
      ],
      "type": "network",
      "updated": "2023-06-20 18:44:03.624841+00",
      "upload_count": 1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/projects"

querystring = {"archived":"true","limit":"5"}

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```typescript
import { SayariClient } from "sayari";

const sayari = new SayariClient({ clientId: "YOUR_CLIENT_ID", clientSecret: "YOUR_CLIENT_SECRET" });
await sayari.project.getProjects({
    archived: false,
    limit: 8
});

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/projects?archived=true&limit=5"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/projects?archived=true&limit=5")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sayari.com/v1/projects?archived=true&limit=5")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sayari.com/v1/projects?archived=true&limit=5', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/projects?archived=true&limit=5");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects?archived=true&limit=5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```